Loading...
Searching...
No Matches

decode_value
encode_value
get_config
help_text
HOME
init
initialized
is_game
is_system
load_config
lock
module_get_config
module_info
module_init
module_option
option
parse_args
pname
read_cache
read_config
read_data
read_runtime
read_spool
remove_cache
remove_config
remove_data
remove_runtime
remove_spool
remove_temp
save_config
unlock
version_text
write_cache
write_config
write_data
write_log
write_runtime
write_spool
write_temp
XDG_CACHE_HOME
XDG_CONFIG_DIRS
XDG_CONFIG_HOME
XDG_DATA_DIRS
XDG_DATA_HOME
XDG_RUNTIME_DIR

## write_cache()

fhs.write_cache | ( |  | name = None,
|  |  | text = True,
|  |  | dir = False,
|  |  | opened = True,
|  |  | packagename = None )

Open a cache file for writing.

The file is not truncated if it exists.

Parameters

  name | Name of the cache file.
  text | Open as a text file if True (the default).
  dir | Create a directory if True, a file if False (the default).
  opened | Open or create the file if True (the default), report the name if False.
  packagename | Override the packagename.

Returns
  The opened file, or the name of the file or directory.

Definition at line 1044 of file fhs.py.